Send Docs Feedback

4.16.05 Rollback Process

Edge for Private Cloud v. 4.16.05

There are two scenarios where you might want to perform a rollback:

  1. Rollback to an older release. For example from 4.16.05 to 4.16.01.
  2. Rollback to an older version in the same release. 

Use the procedure below to perform a rollback for both scenarios.

Who can perform the rollback

The user performing the rollback should be the same as the user who originally updated Edge, or a user running as root.

By default, Edge components run as the user "apigee". In some cases, you might be running Edge components as different users. For example, if the Router has to access privileged ports, such as those below 1000, then you have to run the Router as root or as a user with access to those ports. Or, you might run one component as one user, and another component as another user.

Which components can be rolled back

You should be aware of the following conditions when performing a rollback:

  • To rollback any one of the following five components on a node, you must roll back any of the five installed on the node. For example, if you have the Management Server, Route, and Message Processor installed on the node, to roll back any one of them you must roll back all three.

    ​The five components are:
    • Management Server
    • Router
    • Message Processor
    • Qpid Server
    • Postgres Server
  • Do not rollback Cassandra. This release of Edge contains an updated version of Cassandra. If you rollback any components, leave Cassandra at the 4.16.05 version.
  • This release does not contain a new version of postgresql or qpidd. Therefore, you do not have to roll them back.

To rollback 4.16.05 

To rollback Apigee Edge, perform the following rollback steps:

  1. Stop the component to rollback:
    1. If you are rolling back any one of the following components, you must stop them all: Management Server, Router, Message Processor, Qpid Server, or Postgres Server:
      > apigee-service edge-management-server stop 
      > apigee-service edge-router stop 
      > apigee-service edge-message-processor stop 
      > apigee-service edge-qpid-server stop 
      > apigee-service edge-postgres-server stop 
    2. If you are rolling back any other component, stop just that component:
      > apigee-service comp stop 
  2. If you are rolling back Monetization, uninstall it:
    > apigee-service edge-mint-gateway uninstall 
  3. Uninstall the component to rollback:
    1. If you are rolling back any of the following components, then uninstall them all: Management Server, Router, Message Processor, Qpid Server, or Postgres Server:
      > apigee-service edge-gateway uninstall 
    2. If you are rolling back any other component, uninstall just that component
      > apigee-service comp uninstall 
  4. If you are rolling back the Router, then you have to delete the contents of /opt/nginx/conf.d:
    > cd /opt/nginx/conf.d 
    > rm -rf *
  5. To rollback the component to the 4.16.01 release:
    1. Uninstall the 4.16.05 version of apigee-setup: 
      > /opt/apigee/apigee-service/bin/apigee-service apigee-setup uninstall
    2. Download bootstrap.sh for the 4.16.01 release:
      > curl https://software.apigee.com/bootstrap.sh -o /tmp/bootstrap.sh -u uName:pWord
      where uName:pWord are the username and password you received from Apigee. If you omit pWord, you will be prompted to enter it.
    3. Install the 4.16.01 Edge apigee-service utility and dependencies: 
      > sudo bash /tmp/bootstrap.sh apigeeuser=uName apigeepassword=pWord 
      where uName and pWord are the username and password you received from Apigee. If you omit pWord, you will be prompted to enter it.
    4. Install the 4.16.01 version of apigee-setup
      > /opt/apigee/apigee-service/bin/apigee-service apigee-setup install
    5. Install the 4.16.01 version of the component:
      > /<instal_dir>/apigee/apigee-setup/bin/setup.sh -p comp -f configFile
      where comp is the component to install and configFile is your 4.16.01 configuration file.
  6. To rollback the component to a specific version of the 4.16.05 release: 
    1. Download the specific component version: 
      > /<instal_dir>/apigee/apigee-service/bin/apigee-service comp-version install
      where comp-version is the component and version to install. For example:
      > /<instal_dir>/apigee/apigee-service/bin/apigee-service edge-ui-4.16.05-0.0.3649 install
      If you are using the Apigee online repo, you can determine the available component versions by using the following command:
      > yum --showduplicates list comp
      For example: 
      > yum --showduplicates list edge-ui
    2. Use apigee-setup to install the component:
      > /<install_dir>/apigee/apigee-setup/bin/setup.sh -p comp -f configFile
      For example:
      > /<install_dir>/apigee/apigee-setup/bin/setup.sh -p ui -f configFile
      Note how you only specify the component name when you do the install.

Contact Apigee Support if you encounter issues when rolling back.

Help or comments?